%--------------------------------------------------------------    
% Control'X
%--------------------------------------------------------------  
    clc % Efface la fentre de commande
    dt=1e-4; % Pas de temps du solveur discret utilis et priode d'chantillonnage en cas de pilotage temps rel

%--------------------------------------------------------------    
% Donnes gomtriques
%--------------------------------------------------------------    

    R = 155/(2*pi)/1000; % Rayon de la poulie (m) // 155mm : avance par tour de poulie crante
    i = 3;    % Reducteur : Il s'agit d'une rduction !
    
%--------------------------------------------------------------    
% Donnes propres au moteur
%--------------------------------------------------------------   
    
    r = 5.1; % Rsistance de l'induit (Ohms)
    L = 3.2e-3; % Inductance de l'induit(H)
    kc = 0.21; % Constante de couple du moteur (N.m/A)
    ke = 0.2083; % Constante de force contre lectromotrice (V/(rad/s))
    k = (kc+ke)/2; % Moyenne des deux constantes lectromcaniques
     
%--------------------------------------------------------------    
% Donnes propres au variateur
%--------------------------------------------------------------   
    
    B = 4; % Gain pur du variateur de vitesse

%--------------------------------------------------------------    
% Rsistances passives : Donnes d'origine exprimentale
%--------------------------------------------------------------   
    
    Ffrott = 28; % Frottements secs ramens sur le chariot :  N 
    fv = 20; % Coefficient de frottements visqueux ramens sur le chariot : N/(m/s)
    Cfrott = Ffrott*R/i; % Frottements secs ramens sur le moteur : N.m
    fw = fv*R^2/i^2;  % Coefficient de frottements visqueux ramens sur le moteur : N.m/(rad/s)
    Vseuil = Cfrott*r/kc; % Modlisation de l'effort de frottements secs ramens en entre du moteur : modle moins fin qu'un effort de frottements secs mais plus souple en terme de simulation numrique : V

    
%--------------------------------------------------------------    
% Donnes propres  la carte de commande
%--------------------------------------------------------------  
    
    Vsat = 10;     % Tension de saturation : Volts
    
%--------------------------------------------------------------    
% Donnes inertielles propres  l'ensemble du mcanisme
%--------------------------------------------------------------  

    meq = 3.2; % Masse quivalente de tout l'quipage mobile ramene sur le chariot (kg)
    Jeq = meq*(R/i)^2; % Moment d'inertie quivalent de tout l'quipage mobile ramene sur le moteur (kg.m2)
    

disp ('Paramtres pris en compte')